[moderate_own_topic v120] non compatible phpBB3.2.2

Support pour n'importe quelle extension non présente dans notre base de données
Aucune demande de personnalisation des extensions n'est autorisée.

Modérateur: Equipe

Règles du forum
A lire impérativement : Règlement de phpBB-fr.com - Conditions générales de support des extensions de phpBB-fr.com

Merci de mettre le nom de l'extension ainsi que sa version entre crochets, et un titre explicite afin de faciliter la recherche.
Exemple : [nom de l'extension + numéro de version] Titre explicite résumant le problème

Le lien de téléchargement de l'extension est demandé pour toute demande de support.

Aucune demande de personnalisation des extensions n'est autorisée.

[moderate_own_topic v120] non compatible phpBB3.2.2

Messagepar augras » 11 Avr 2018 à 16:54

Bonjour,
Je dois mettre en place un forum et j'ai choisi phpBB et tant qu'à faire la dernière version. Mais je souhaite que chaque auteur d'un topic soit responsable de son topic et le modère : apparemment cette fonctionnalité n'est pas intégrée de base et j'ai trouvé le module en sujet qui semblerait devoir faire ce que je recherche. Mais manifestement il n'est pas compatible avec la dernière version : il y a des lignes à insérer dans des fichiers mais impossible de trouver l'endroit indiqué car rien ne correspond, cela de mémoire pour 3 modifications. J'ai fait au mieux mais au final le script d'installation ne se lance pas avec comme message "Vous ne pouvez pas accéder à cette page."
Le lien de téléchargement du module : http://forum.danielchalseche.fr.cr/viewtopic.php?f=36&t=291.
Merci pour votre aide,
Philippe
augras
Posteur néophyte
Posteur néophyte
 
Messages: 11
Enregistré le: 11 Avr 2018 à 15:07

Re: [moderate_own_topic v120] non compatible phpBB3.2.2

Messagepar Sylveretour » 11 Avr 2018 à 18:10

Bonjour,

Le sujet en question est une modification pour les phpBB version 3.0 donc non prévu pour phpBB 3.2
Pour info, depuis la version 3.1 on ne modifie plus aucun fichier du core de phpBB, on utilise à la place des extensions pour modifier phpBB ou apporter des options supplémentaires.

Les extensions sont ici => http://www.phpbb-fr.com/customise/db/ et là => https://www.phpbb.com/customise/db/extensions-36
Avatar de l’utilisateur
Sylveretour
Maître-posteur
Maître-posteur
 
Messages: 444
Enregistré le: 21 Nov 2017 à 19:24
Localisation: West Coast

Re: [moderate_own_topic v120] non compatible phpBB3.2.2

Messagepar augras » 11 Avr 2018 à 19:01

Merci pour la réponse.
Je n'ai rien trouvé pouvant correspondre à mon besoin.
Mes capacités de développeurs étant proches de zéro... Un espoir que l'extension soit reprise et rendue compatible ?
Est-ce qu'il y a un moyen d'obtenir le fonctionnement recherché avec phpBB3.2.2 ou bien ce n'est pas possible ?
merci encore,
Philippe
augras
Posteur néophyte
Posteur néophyte
 
Messages: 11
Enregistré le: 11 Avr 2018 à 15:07

Re: [moderate_own_topic v120] non compatible phpBB3.2.2

Messagepar pierredu » 12 Avr 2018 à 09:22

Il y a cela :
https://github.com/DakinQuelia/phpBB31-Moderate-Own-Topics

C'est annoncé pour 3.1.
Je n'ai pas testé.
Avatar de l’utilisateur
pierredu
Resp. Extensions
Resp. Extensions
 
Messages: 1092
Enregistré le: 29 Mai 2011 à 06:49
Localisation: Paris

Re: [moderate_own_topic v120] non compatible phpBB3.2.2

Messagepar augras » 12 Avr 2018 à 09:36

Bonjour pierredu,
Merci beaucoup ; la description correspond à ce que je recherche et apparemment l'auteur est le même que pour la version que j'avais trouvé.
Je teste et reviens dire ce qu'il en est.
Bonne journée,
Philippe

EDIT
Malheureusement ça ne fonctionne pas : l'extension n'apparait même pas dans le gestionnaire des extensions.
Je vais laisser un message à l'auteur sur son github.
Merci encore,
Philippe
Modifié en dernier par augras le 12 Avr 2018 à 20:40, modifié 1 fois.
augras
Posteur néophyte
Posteur néophyte
 
Messages: 11
Enregistré le: 11 Avr 2018 à 15:07

Re: [moderate_own_topic v120] non compatible phpBB3.2.2

Messagepar augras » 12 Avr 2018 à 10:05

erreur désolé
philippe
Modifié en dernier par augras le 12 Avr 2018 à 20:48, modifié 4 fois.
augras
Posteur néophyte
Posteur néophyte
 
Messages: 11
Enregistré le: 11 Avr 2018 à 15:07

Re: [moderate_own_topic v120] non compatible phpBB3.2.2

Messagepar Sylveretour » 12 Avr 2018 à 10:08

Si une extension n'apparait pas dans le gestionnaire des extensions, ne veut pas dire qu'elle ne fonctionne pas mais que tu ne sait pas installer une extension.
Tu doit commencer par lire la documentation => documentation/extensions/installer-une-extension-a219-view.html
Avatar de l’utilisateur
Sylveretour
Maître-posteur
Maître-posteur
 
Messages: 444
Enregistré le: 21 Nov 2017 à 19:24
Localisation: West Coast

Re: [moderate_own_topic v120] non compatible phpBB3.2.2

Messagepar augras » 12 Avr 2018 à 15:33

Bonjour sylveretour,
effectivement je n'avais pas installée l'extension correctement ! Désolé. Le dossier phpbb présent dans ext m'a induit en erreur, ce phpbb étant en fait l'auteur de l'extension qu'il contient, ce que je n'avais pas compris et j'avais donc installé l'extension dans ce dossier... mauvaise installation et donc ça ne pouvait effectivement pas fonctionner.
Maintenant elle apparaît, je l'ai activée... mais je n'en vois pas l'effet recherché : que l'auteur d'un sujet puisse le modérer, éditer les posts du sujet et pouvoir les supprimer. Les boutons "modifier" et "supprimer" n'apparaisse pas dans les posts dans un sujet ouvert par le membre avec lequel je suis connecté.
Ce n'est peut-être pas grand chose. Et tout en écrivant cela je suis en train de me dire qu'il y a peut-être effectivement nécessaire de donner cette autorisation aux membres et que cela n'est pas automatique... je vais de ce pas chercher dans les autorisations.
Philippe

EDIT1
Il est effectivement nécessaire de donner l'autorisation en question. Je viens de me battre avec tous les paramètres de phpbb pour que mes modifications soient prises en compte : dès que je mettais sur "oui" pour modérer ses propres sujets cette modifications n'étaient pas prise en compte !
Elle n'a été prise en compte que lorsque j'ai modifié le rôle utilisateur inscrit.
Malgré cela l'auteur d'un sujet ne peut toujours pas modifier ou supprimer un post dans son sujet, en dehors des siens.
Philippe

EDIT2
Les permissions pour cette extension ne peuvent être attribuée que dans Permissions des forums aux groupeS. Je suis parti du principe que tous les utilisateurs faisaient parti du groupe "utilisateurs inscrits", ce qui me semblait logique. Mais je ne trouve pas où vérifier cela et comme je n'arrive pas à faire fonctionner l'extension je me dis que le soucis vient peut-être de là : tout simplement mettre mes utilisateurs dans le groupe utilisateurs inscrits qui détient les bons droits.
Je poursuis mes recherches.
Philippe

EDIT3
J'ai trouvé où vérifier qu'un utilisateur appartient à un groupe : utilisateurs et groupes puis gérer les groupes... parfaitement logique mais je ne trouvais pas !
Mes utilisateurs étaient déjà dans le groupe Utilisateurs inscrits qui possède la permission de modérer ses sujets.
Impasse !
Philippe

EDIT4
Je viens d'avoir un message du développeur qui m'indique qu'il fera évoluer cette extension, et les autres aussi, vers phpBB3.2.x dès qu'il en aura le temps.
Merci à lui.
En attendant je vais me tourner vers une version phpBB3.1x afin de pouvoir bénéficier de cette fonctionnalité.
Philippe
Modifié en dernier par augras le 12 Avr 2018 à 20:46, modifié 1 fois.
augras
Posteur néophyte
Posteur néophyte
 
Messages: 11
Enregistré le: 11 Avr 2018 à 15:07


Retourner vers Support des extensions non présentes dans notre base de données

 


  • Articles en relation
    Réponses
    Vues
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 1 invité